## phosh-tour 0.21.0

=== debian/changelog ===
phosh-tour (0.21.0-1) unstable; urgency=medium

  * Initial release (Closes: #1019381)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Sep 2022 09:52:40 +0200

## phosh-tour 0.24.0

=== meson_options.txt ===
option('brand',
       type: 'string', value: 'Librem 5',
       description: 'The branding to use')

option('vendor',
       type: 'string', value: 'PureOS',
       description: 'The vendor to use')

=== debian/changelog ===
phosh-tour (0.24.0-2) unstable; urgency=medium

  * src/ui: Drop upstream source modification.
    Fixes: 8101b73f3270c9a62393ce2a3f489ffdd1cf2136

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Feb 2023 17:59:30 +0100

phosh-tour (0.24.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 09:26:51 +0100

phosh-tour (0.23.0-1) unstable; urgency=medium

  * New upstream release
    Closes: #1027618

 -- Guido Günther <agx@sigxcpu.org>  Wed, 11 Jan 2023 13:45:25 +0100

=== debian/control ===
Source: phosh-tour
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev,
 libgtk-4-dev,
 meson,
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
Rules-Requires-Root: no

Package: phosh-tour
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Short introduction to phosh on smartphones
 Phosh tour gives a short visual introduction on how to use
 phosh on a smartphone explaining the available gestures
 for navigation, quick settings, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dbrand=phone -Dvendor=Debian

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_install:

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/phosh-tour.*\.tar\.gz/phosh-tour-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/guidog/phosh-tour/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phosh-tour 0.25.0

=== debian/changelog ===
phosh-tour (0.25.0-1pureos1) byzantium; urgency=medium

  * Drop all patches. Applied upstream.
  * Upload to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2023 17:41:08 +0100

phosh-tour (0.25.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 11:13:22 +0100

phosh-tour (0.21.0-1pureos1) byzantium; urgency=medium

  * Upload to buzantium

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Sep 2022 12:07:10 +0200

## phosh-tour 0.28.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+# Use non-breaking space to avoid word wrap in brand or vendor names
+
 option('brand',
-       type: 'string', value: 'Librem 5',
+       type: 'string', value: 'Librem 5',
        description: 'The branding to use')
 
 option('vendor',

=== debian/changelog ===
phosh-tour (0.28.0-1pureos3) crimson; urgency=medium

  * Fix star glyph in power menu diagram

 -- Jonathon Hall <jonathon.hall@puri.sm>  Tue, 09 Sep 2025 09:43:17 -0400

phosh-tour (0.28.0-1pureos2) crimson; urgency=medium

  * Rebuild for crimson to bump gnome-desktop dependency
  * d/gbp.conf: Switch to pureos/latest
  * d/librem5-ci: Switch to landing

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jun 2023 12:43:30 +0200

phosh-tour (0.28.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * d/gbp.conf: Switch to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Tue, 06 Jun 2023 11:18:35 +0200

phosh-tour (0.28.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 May 2023 13:21:59 +0200

phosh-tour (0.28.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 May 2023 12:07:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phosh-tour
 Section: x11
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: PureOS Maintainers <pureos-project@puri.sm>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  appstream,
  debhelper-compat (= 13),
@@ -9,9 +10,11 @@
  libadwaita-1-dev,
  libgtk-4-dev,
  meson,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
 Rules-Requires-Root: no
+Vcs-Browser: https://source.puri.sm/Librem5/debs/phosh-tour
+Vcs-Git: https://source.puri.sm/Librem5/debs/phosh-tour.git
 
 Package: phosh-tour
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTS=-Dbrand=phone -Dvendor=Debian
+CONFIGURE_OPTS=-Dbrand='Librem 5' -Dvendor=PureOS
 
 %:
 	dh $@ --builddirectory=_build

## phosh-tour 0.36.0

=== debian/changelog ===
phosh-tour (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Feb 2024 14:37:45 +0100

phosh-tour (0.35.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Jan 2024 19:52:25 +0100

phosh-tour (0.35.0-1) experimental; urgency=medium

  * New upstream release
  * Rediff patches
  * Add breaks on older phosh. The illustrations match phosh 0.35 or later.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Jan 2024 14:10:22 +0100

=== debian/control ===
Source: phosh-tour
Section: x11
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev,
 libgtk-4-dev,
 meson,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
Rules-Requires-Root: no

Package: phosh-tour
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
  phosh (<< 0.35.0),
Description: Short introduction to phosh on smartphones
 Phosh tour gives a short visual introduction on how to use
 phosh on a smartphone explaining the available gestures
 for navigation, quick settings, etc.

## phosh-tour 0.38.0

=== subprojects/gmobile/meson_options.txt ===
option('examples',
       type: 'boolean', value: true,
       description: 'Whether to compile the examples')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

option('introspection', type: 'boolean', value: 'true',
       description : 'Build introspection data (requires gobject-introspection)')

=== debian/changelog ===
phosh-tour (0.38.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add gmobile deps.
    These can be dropped once gmobile lands in unstable
  * Update metainfo

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 14:40:15 +0200

phosh-tour (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches.
    Hardware specific pages are now shown based on device type
  * d/control: Depend on libjson-glib

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Mar 2024 15:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,10 @@
  libadwaita-1-dev,
  libgtk-4-dev,
  meson,
+# For gmobile
+ json-glib-tools,
+ libjson-glib-dev,
+ gobject-introspection,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
 Rules-Requires-Root: no

## phosh-tour 0.39.0

=== debian/changelog ===
phosh-tour (0.39.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Use shared gmobile

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 May 2024 10:49:21 +0200

## phosh-tour 0.41.0

=== debian/changelog ===
phosh-tour (0.41.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Aug 2024 23:16:16 +0200

phosh-tour (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - New ru translation
  * Install all translations

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 12:30:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,9 @@
  debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
+ libgmobile-dev,
  libgtk-4-dev,
  meson,
-# For gmobile
- json-glib-tools,
- libjson-glib-dev,
- gobject-introspection,
 Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
 Rules-Requires-Root: no

## phosh-tour 0.44.0

=== debian/changelog ===
phosh-tour (0.44.0-1) unstable; urgency=medium

  * New upstream release
    * Translation updates

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 09:08:13 +0100

phosh-tour (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 12:47:55 +0100

phosh-tour (0.43~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 09:55:48 +0100

## phosh-tour 0.45.0

=== debian/changelog ===
phosh-tour (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 11:21:50 +0100

phosh-tour (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
    * New run once mode that ensures phosh-tour runs at least once
      to show the user an introduction
  * Bump standards version. No changes needed
  * Install autostart files

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Feb 2025 19:46:09 +0100

## phosh-tour 0.46.0

=== debian/changelog ===
phosh-tour (0.46.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 09:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  libgmobile-dev,
  libgtk-4-dev,
  meson,
-Standards-Version: 4.6.2
-Homepage: https://gitlab.gnome.org/guidog/phosh-tour/
+Standards-Version: 4.7.0
+Homepage: https://gitlab.gnome.org/World/Phosh/phosh-tour/
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-tour
+Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-tour.git
 Rules-Requires-Root: no
 
 Package: phosh-tour

## phosh-tour 0.47.0

=== debian/changelog ===
phosh-tour (0.47.0-2) unstable; urgency=medium

  * Upload to unstable
  * Wrap and sort
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Sep 2025 08:39:50 +0200

phosh-tour (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * Translation updates

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 09:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
+ debhelper-compat (= 13),
  appstream,
- debhelper-compat (= 13),
  desktop-file-utils,
  libadwaita-1-dev,
  libgmobile-dev,
  libgtk-4-dev,
  meson,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/Phosh/phosh-tour/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phosh-tour
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phosh-tour.git
@@ -22,7 +22,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
-  phosh (<< 0.35.0),
+ phosh (<< 0.35.0),
 Description: Short introduction to phosh on smartphones
  Phosh tour gives a short visual introduction on how to use
  phosh on a smartphone explaining the available gestures

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS=-Dbrand=phone -Dvendor=Debian

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/tests/control ===
Test-Command: /usr/bin/phosh-tour --help
Restrictions:
 superficial,
Depends:
 @,

## phosh-tour 0.50.0

=== meson_options.txt ===
# Use non-breaking space to avoid word wrap in brand or vendor names

option('brand',
       type: 'string', value: 'Phone',
       description: 'The branding to use, e.g. Librem 5')

option('vendor',
       type: 'string', value: 'Phosh',
       description: 'The vendor to use, e.g. Phosh, Debian, …')

option('url',
       type: 'string', value: '<a href="https://phosh.mobi/gettingstarted">Getting started</a>',
       description: 'Website to point to')

=== debian/changelog ===
phosh-tour (0.50.0-1) unstable; urgency=medium

  * New upstream release
    * Translation updates

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 11:28:11 +0200

## phosh-tour 0.52.0

=== debian/changelog ===
phosh-tour (0.52.0-1) unstable; urgency=medium

  * New upstream release
    * Translation updates

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 17:00:54 +0100

## phosh-tour 0.53.0

=== debian/changelog ===
phosh-tour (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * Translation updates

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 09:51:54 +0100
